From: "Florian Schmaus" <flow@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-analyzer/notus-scanner/
Date: Tue, 29 Apr 2025 07:35:53 +0000 (UTC) [thread overview]
Message-ID: <1745912121.9c08315ed9ff5cb14cef0b8f46d6c82ab9fb9f3e.flow@gentoo> (raw)
commit: 9c08315ed9ff5cb14cef0b8f46d6c82ab9fb9f3e
Author: Giuseppe Foti <foti.giuseppe <AT> gmail <DOT> com>
AuthorDate: Wed Apr 23 22:46:58 2025 +0000
Commit: Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Tue Apr 29 07:35:21 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9c08315e
net-analyzer/notus-scanner: add 22.7.1
Signed-off-by: Giuseppe Foti <foti.giuseppe <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/41724
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>
net-analyzer/notus-scanner/Manifest | 1 +
.../notus-scanner/notus-scanner-22.7.1.ebuild | 78 ++++++++++++++++++++++
2 files changed, 79 insertions(+)
diff --git a/net-analyzer/notus-scanner/Manifest b/net-analyzer/notus-scanner/Manifest
index 69afff5383bb..951d4e518ea8 100644
--- a/net-analyzer/notus-scanner/Manifest
+++ b/net-analyzer/notus-scanner/Manifest
@@ -1,3 +1,4 @@
DIST notus-scanner-22.6.3.tar.gz 293997 BLAKE2B 889416d2324088dc11f2df5146b3c88b276d1170552f55b2cb7ef49f4d8d855b98d6c0e53a1d49bd725b97b88c12df69a1997a38a614aa941dd699d0efb1de51 SHA512 fc3a05a3a9d61dd0b7a9913cfbbf507fec9dd3797a42a82283d14ab7fa8090fbc847487cf3a1d064f49572dda9acadba4bd7d30003fd32a179f572e327254546
DIST notus-scanner-22.6.4.tar.gz 293607 BLAKE2B 75bdbd9d6247a2b9afaf7b049b8b80b2a44714ad4d6c951c9d14898c8bce319c39c4a19162fe1a380ef638164f025c210346ee5659ed1caefdb91bef2a0906d7 SHA512 5a3f23425a1945636c6fd9dd7b3ad39cf6f02920c33aaa35e3aa7ae1dfb8962d60f8e8519047e631c0e72a1a75c56ac5350c9dd291c20947fac2d4cdbb7f6387
DIST notus-scanner-22.6.5.tar.gz 294136 BLAKE2B 6dcf2b79e359578dde89fb7e12d135df48a4f76d4ca2ae7f5404c2a77938a8f2593db53ee13aac7ca9927b7812994de85b076e78f0eaa451a7868bbe0e23c511 SHA512 6dd8deee45a80c07e51e29a1e64953c359c832b2b8103ab6aab8bb0fe36c78f07c7d2841417305088d82585ca46b3e2eada1ad08c0032069fd779f8546e02cb8
+DIST notus-scanner-22.7.1.tar.gz 295860 BLAKE2B 81ef3f117818acaac4592a3d3555b5056462799de57c7825dad22059a4435289858bea14daabd010ac324db1e43cc60107b91a31da333155d58d7381033b5dd7 SHA512 c81ef83a785d9b816c1d361b7d61c9b487d5ff30264ce325e9b460ce906a5de0ea155019661eaf4cb4749231ef12e79ced496c902f8b52347685b9bfadf561e5
diff --git a/net-analyzer/notus-scanner/notus-scanner-22.7.1.ebuild b/net-analyzer/notus-scanner/notus-scanner-22.7.1.ebuild
new file mode 100644
index 000000000000..ff9e8f428b4e
--- /dev/null
+++ b/net-analyzer/notus-scanner/notus-scanner-22.7.1.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} pypy3 pypy3_11 )
+DISTUTILS_USE_PEP517=poetry
+inherit distutils-r1 greadme systemd
+
+DESCRIPTION="Notus is a vulnerability scanner for creating results from local security checks"
+HOMEPAGE="https://github.com/greenbone/notus-scanner"
+SRC_URI="https://github.com/greenbone/notus-scanner/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="AGPL-3 AGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="
+ acct-user/gvm
+ net-libs/paho-mqtt-c
+ >=dev-python/psutil-7.0[${PYTHON_USEDEP}]
+ >=dev-python/python-gnupg-0.5.4[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/paho-mqtt-1.5.1[${PYTHON_USEDEP}]
+ <dev-python/tomli-3[${PYTHON_USEDEP}]
+"
+
+RDEPEND="
+ ${DEPEND}
+ app-misc/mosquitto
+"
+
+PATCHES=(
+ "${FILESDIR}"/notus-scanner-22.6.2-remove-tests.patch
+)
+
+GREADME_DISABLE_AUTOFORMAT=1
+
+distutils_enable_tests unittest
+
+python_install() {
+ distutils-r1_python_install
+
+ insinto /etc/gvm
+ newins "${FILESDIR}/${PN}.toml" "${PN}.toml"
+
+ # Set proper permissions on required files/directories
+ keepdir /var/lib/notus
+ keepdir /var/lib/notus/products
+ keepdir /var/lib/notus/advisories
+ keepdir /var/log/gvm
+ if ! use prefix; then
+ fowners -R gvm:gvm /etc/gvm
+ fowners -R gvm:gvm /var/lib/notus
+ fowners -R gvm:gvm /var/log/gvm
+ fi
+
+ # Adding notus-scanner.log to logrotate
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}/${PN}.logrotate" "${PN}"
+
+ newinitd "${FILESDIR}/${PN}.initd" "${PN}"
+
+ systemd_dounit config/${PN}.service
+
+ systemd_install_serviced "${FILESDIR}/notus-scanner.service.conf" \
+ ${PN}.service
+
+ greadme_stdin <<-EOF
+For validating the feed content, a GnuPG keychain with the Greenbone Community Feed
+integrity key needs to be created. Please, read here on how to create it:
+ - https://greenbone.github.io/docs/latest/22.4/source-build/index.html#feed-validation
+ - https://wiki.gentoo.org/wiki/Greenbone_Vulnerability_Management#Notus_Scanner
+
+To enable feed validation, edit /etc/gvm/${PN}.toml and set
+ disable-hashsum-verification = false
+EOF
+}
next reply other threads:[~2025-04-29 7:36 UTC|newest]
Thread overview: 15+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-04-29 7:35 Florian Schmaus [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-02 19:31 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/notus-scanner/ Michał Górny
2024-12-21 9:07 Florian Schmaus
2024-11-29 12:06 Florian Schmaus
2024-09-15 8:38 Florian Schmaus
2024-09-14 10:09 Florian Schmaus
2024-07-23 3:55 Sam James
2024-07-09 7:04 Florian Schmaus
2024-06-28 1:00 Sam James
2024-06-06 6:56 Florian Schmaus
2024-04-03 17:38 Florian Schmaus
2024-02-28 20:50 Jakov Smolić
2023-10-07 15:11 Florian Schmaus
2023-08-09 13:32 Florian Schmaus
2023-07-03 8:37 Florian Schmaus
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1745912121.9c08315ed9ff5cb14cef0b8f46d6c82ab9fb9f3e.flow@gentoo \
--to=flow@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox